## yorick-ygsl 1.2.0

=== Makefile ===
# where are the sources? (automatically filled in by configure script)
srcdir=.

# these values filled in by "yorick -batch make.i" or configure script
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=ygsl
PKG_I=${srcdir}/gsl.i

OBJS=ygsl.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

PREFIX=/usr/local

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS= -L$(PREFIX)/lib -lgsl -lgslcblas
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS= -I$(PREFIX)/include
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically $(Y_EXE_PKGS) should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN= cmp.tmp1 cmp.tmp2

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md TODO \
	configure gsl.i ygsl.c
RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

ifeq (,$(strip $(Y_MAKEDIR)))
$(info *** WARNING: Y_MAKEDIR not defined, you may run 'yorick -batch make.i' first)
else
include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)
endif

# override macros Makepkg sets for rules and other macros
# see comments in Y_HOME/Makepkg for a list of possibilities

# if this package built with mpy: 1. be sure mpy appears in EXTRA_PKGS,
# 2. set TGT=exe, and 3. uncomment following two lines
# Y_MAIN_O=$(Y_LIBEXE)/mpymain.o
# include $(Y_MAKEDIR)/Makempy

# configure script for this package may produce make macros:
# include output-makefile-from-package-configure

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# Dummy default target in case Y_MAKEDIR was not defined:
dummy-default:
	@echo >&2 "*** ERROR: Y_MAKEDIR not defined, aborting..."; false

%.o: ${srcdir}/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<


# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

cmp-sf:
	grep 'FN.gsl_sf' <${srcdir}/ygsl.c \
	  | sed 's/FN//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | sort -u >cmp.tmp1
	grep '^[ 	]*extern[ 	]' <${srcdir}/gsl.i \
	  | sed 's/extern//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | grep 'gsl_sf_' \
	  | sort -u >cmp.tmp2
	diff -B cmp.tmp1 cmp.tmp2

release: $(RELEASE_NAME)

$(RELEASE_NAME):
	@if test "x$(RELEASE_VERSION)" = "x"; then \
	  echo >&2 "set package version:  make RELEASE_VERSION=... release"; \
	else \
          dir=`basename "$(RELEASE_NAME)" .tar.bz2`; \
	  if test "x$$dir" = "x" -o "x$$dir" = "x."; then \
	    echo >&2 "bad directory name for archive"; \
	  elif test -d "$$dir"; then \
	    echo >&2 "directory $$dir already exists"; \
	  else \
	    mkdir -p "$$dir"; \
	    for src in $(RELEASE_FILES); do \
	      dst="$$dir/$$src"; \
	      if test "$$src" = "Makefile"; then \
	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
	        touch -r "$$src" "$$dst"; \
	      else \
	        cp -p "$$src" "$$dst"; \
	      fi; \
	    done; \
	    rm -f "$$dir"/*~ "$$dir"/*/*~; \
	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
	    rm -rf "$$dir"; \
	    echo "$(RELEASE_NAME) created"; \
	  fi; \
	fi;

.PHONY: clean release

# -------------------------------------------------------- end of Makefile

## yorick-ygsl 1.1.1

=== debian/changelog ===
yorick-ygsl (1.1.1-3) unstable; urgency=medium

  * Set minimum version in "Breaks"

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 11:43:59 +0200

yorick-ygsl (1.1.1-2) unstable; urgency=low

  * Replace "Conflicts: yorick-yeti-gsl" field with "Breaks".
  * Update VCS* fileds
  * Check against standards version 3.9.5 (no changes)

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Mar 2014 13:42:17 +0100

yorick-ygsl (1.1.1-1) unstable; urgency=low

  * Initial upload (Closes: 732363)

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 17 Dec 2013 10:33:55 +0100

=== debian/control ===
Source: yorick-ygsl
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl0-dev (>= 1.8)
Standards-Version: 3.9.5
Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ygsl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ygsl.git
Homepage: https://github.com/emmt/ygsl

Package: yorick-ygsl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Breaks:   yorick-yeti-gsl (<< 6.3.3)
Replaces: yorick-yeti-gsl (<< 6.3.3)
Provides: yorick-yeti-gsl
Description: GSL special functions plugin for the Yorick language
 YGSL is a Yorick plug-in to bring over 120 special functions of the
 GSL (GNU Scientific Library) into Yorick.
 .
 This package deprecates yorick-yeti-gsl and provides the yeti_gsl.i
 include file.

## yorick-ygsl 1.2.0

=== debian/changelog ===
yorick-ygsl (1.2.0-2build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 09:31:31 -0500

yorick-ygsl (1.2.0-2) unstable; urgency=low

  * Bug fix: "GSL transition requires rebuild", thanks to Dirk
    Eddelbuettel (Closes: #804502). Changed build dep to libgsl-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 10 Nov 2015 11:54:39 +0100

yorick-ygsl (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 10:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl0-dev (>= 1.8)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl-dev (>= 1.8)
+Standards-Version: 3.9.6
 Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ygsl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ygsl.git
 Homepage: https://github.com/emmt/ygsl

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	/usr/bin/yorick -batch make.i

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean

## yorick-ygsl 1.2.1

=== Makefile ===
--- 
+++ 
@@ -41,12 +41,12 @@
 PKG_CLEAN= cmp.tmp1 cmp.tmp2
 
 # autoload file for this package, if any
-PKG_I_START=
+PKG_I_START=${srcdir}/gsl-start.i
 # non-pkg.i include files for this package, if any
 PKG_I_EXTRA=
 
-RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md TODO \
-	configure gsl.i ygsl.c
+RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md \
+	configure gsl.i gsl-start.i ygsl.c
 RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2
 
 # -------------------------------- standard targets and rules (in Makepkg)
@@ -119,9 +119,10 @@
 	    echo >&2 "directory $$dir already exists"; \
 	  else \
 	    mkdir -p "$$dir"; \
-	    for src in $(RELEASE_FILES); do \
-	      dst="$$dir/$$src"; \
-	      if test "$$src" = "Makefile"; then \
+	    for file in $(RELEASE_FILES); do \
+	      src="$(srcdir)/$$file"; \
+	      dst="$$dir/$$file"; \
+	      if test "$$file" = "Makefile"; then \
 	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
 	        touch -r "$$src" "$$dst"; \
 	      else \

=== debian/changelog ===
yorick-ygsl (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * watch file standard 4 (routine-update)
  * d/rules:
     - ignore failures in dh_auto_clean
     - do not set DEB_HOST_ARCH
  * Build-Depends: libgsl-dev

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 19:48:14 +0100

yorick-ygsl (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 01 Dec 2016 14:31:41 +0100

=== debian/control ===
Source: yorick-ygsl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgsl-dev,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-ygsl
Vcs-Git: https://salsa.debian.org/science-team/yorick-ygsl.git
Homepage: https://github.com/emmt/ygsl

Package: yorick-ygsl
Architecture: any
Depends: yorick,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: yorick-yeti-gsl (<< 6.3.3)
Provides: yorick-yeti-gsl
Replaces: yorick-yeti-gsl (<< 6.3.3)
Description: GSL special functions plugin for the Yorick language
 YGSL is a Yorick plug-in to bring over 120 special functions of the
 GSL (GNU Scientific Library) into Yorick.
 .
 This package deprecates yorick-yeti-gsl and provides the yeti_gsl.i
 include file.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
@@ -21,4 +21,4 @@
 override_dh_auto_test:
 
 override_dh_auto_clean:
-	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean
+	-$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/ygsl-$1.tar.gz/ \
  https://github.com/emmt/ygsl/tags .*/v?(\d[\d\.]+)\.tar\.gz
